#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
date=$(date +%Y%m%d)

if [ $# -eq 1 ]; then
    date="${1}"
fi

checkout=${date}svn

pushd "$tmp"
svn checkout http://ctypesgen.googlecode.com/svn/trunk/ python-ctypesgen-${checkout}
cd python-ctypesgen-${checkout}
find . -type d -name .svn -print0 | xargs -0r rm -rf
cd ..
tar czf "$pwd"/python-ctypesgen-${checkout}.tar.gz python-ctypesgen-${checkout}
popd
